<div>
    <div class="linha1">
            <h1>Cadastre-se</h1>
    </div>
    <div class="container">
            <div class="coluna1">
                <div>
                    <img src="../../../assets/imagem-tela-cadastro-pet.png" alt="imagem tela cadastro" id="pets">
                    <p>Temos varios pet's a procura de um lar!<br>Seja o diferencial, adote um pet.</p>
                </div>
            </div>
            <div class="coluna2">
                <form #form="ngForm" >
                    <div>
                        <label for="txt_nome">Nome completo: </label>
                        <input class="informacao" type="text" name="nome" id="txt_nome" [(ngModel)]="usuario.nomeCompleto" pInputText>
                    </div>
                    <div>
                        <label for="email">E-mail: </label>
                        <input class="informacao" type="email" name="email" id="email" [(ngModel)]="usuario.email" placeholder="exemplo@mail.com" pInputText>
                    </div>
                    <div class="alinhar-lado-lado">
                        <div>
                            <label for="senha">Senha: </label>
                            <p-password class="informacao" type="password" name="senha" id="senha" [(ngModel)]="usuario.senha"></p-password>
                        </div>
                        <div>
                            <label for="senha_confirmacao">Confirme sua senha: </label>
                            <p-password class="informacao" type="password" name="senha_confirmacao" id="senha_confirmacao" [(ngModel)]="senhaConfirmacao"></p-password>
                        </div>
                    </div>
                    <div class="alinhar-lado-lado">
                        <div>
                            <label for="tel_telefone">Telefone: </label>
                            <input class="informacao" id="tel_telefone" type="tel" name="telefone"  mask="(99) 9 9999-9999" [(ngModel)]="usuario.telefone">

                        </div>
                        <div>
                            <label for="txt_whatsapp">Whatsapp: </label>
                            <input class="informacao" id="tel_telefone" type="tel" name="whatsapp"  mask="(99) 9 9999-9999" [(ngModel)]="usuario.whatsapp">
                        </div>
                    </div>
                    <div class="alinhar-lado-lado">

                        <div>
                            <label for="txt_cep">CEP: </label>
                            <input class="informacao" type="text" id="cep" name="cep" pInputText ngModel #cep="ngModel" [(ngModel)]="endereco.cep" (blur)="consultaCEP($event.target)">

                        </div>
                        <div>

                            <label for="txt_cidade">Número: </label>
                            <input class="informacao" type="text" name="numero" id="txt_umero" [(ngModel)]="endereco.numero" pInputText>
                        </div>
                    </div>
                    <div>
                        <label for="descricao">Conte-nos sobre sua experiencia com animais!</label>
                        <textarea class="informacao" [rows]="5" [cols]="30" pInputTextarea name="descricao" id="descricao" placeholder="Descreva aqui sua experiencia." [(ngModel)]="usuario.experiencia" ></textarea>
                    </div>
                    <div class="button">
                        <button pButton type="submit" label="Cadastrar" (click)="cadastre()" ></button>
                    </div>
                </form>
        </div>
    </div>
</div>
